<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./Buttons.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Buttons.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#ffffff;}
        .csDescription {border-width:0px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csButtons">
            <div class="csFileButton" id="FileButton" onmouseover="cswmShow('File', 'FileButton', 'below', 0, 0);" onmouseout="cswmHide();"></div>
            <div class="csEditButton" id="EditButton" onmouseover="cswmShow('Edit', 'EditButton', 'below', 0, 0);" onmouseout="cswmHide();"></div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Windows Style:</div>
                <div class="csContent">
                    This sample uses the <b>WebMenu.BackgroundImage</b> property to create a tiling background which displays the dark and light colors of the popup menu.<br />
                    <br />
                    Each Item contains a 16 x 16px <b>IconImage</b>, either a graphic or a blank (transparent) gif.
                    The blank gif is necessary to force all of the <b>Item.Captions</b> to line up.<br />
                    <br />
                    To create the Item dividers, the <b>DividerImage</b>, <b>DividerColor</b> and <b>DividerImageAlignment</b> properties were used.
                    The <b>DividerImage</b> is a short graphic, aligned to the left, which constitutes the dark and light transition between the dark colored icon space and the light colored padding area before the Caption begins.
                    The <b>DividerColor</b> is set to the same color as the icon space, which appears through the remainder of the menu's width.<br />
                    <br />
                    This sample also demonstrates the use of the <b>WebMenu.OnShow</b> and <b>WebMenu.OnHide</b> events.
                    Each is used to call a custom client-side JavaScript function SwapButton() which changes the images of the button associated with the menu that is displayed. 
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /Appearance<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/WindowsStyle
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
