<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#dde5f0");
    $WebMenu1->setEffect(Coalesys\WebMenu\EffectConstants::Fade);
    $WebMenu1->setHideTimer(250);
    $WebMenu1->setInnerHighlightColor("#eaedf3");
    $WebMenu1->setInnerShadowColor("#7c8ca7");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOnHide("SwapButton(id, false)");
    $WebMenu1->setOnShow("SwapButton(id, true)");
    $WebMenu1->setOuterHighlightColor("#202020");
    $WebMenu1->setOuterShadowColor("#202020");
    $WebMenu1->setPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedBackgroundImage("./images/selected.gif");
    $WebMenu1->setSelectedColor("#eaedf3");
    $WebMenu1->setSelectedHighlightColor("#404040");
    $WebMenu1->setSelectedPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedShadowColor("#404040");
    $WebMenu1->setSelectedTextColor("#202020");
    $WebMenu1->setShowTimer(250);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Home");
    $cswmGroup1->setID("Home");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Welcome");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("News");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("0");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Latest");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Archive");

    $cswmGroup3 = $cswmItem->AddGroup();
    $cswmGroup3->setID("2");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("All Years");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("2015");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("2016");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("2017");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("E-Newsletter");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Company");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("1");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Mission Statement");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Image Kit");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Contact");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Products");
    $cswmGroup1->setID("Products");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Index");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP Components");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("3");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP.NET Components");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("4");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebPropertyGrid for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for ASP.NET");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP.NET MVC Components");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("5");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebPropertyGrid for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for ASP.NET MVC");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("JSP Components");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("6");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for JSP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for JSP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for JSP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for JSP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for JSP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("PHP Components");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("7");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for PHP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for PHP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for PHP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for PHP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for PHP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Studio Applications");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("8");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar Studio");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu Studio");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#7c8ca7");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown Studio");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree Studio");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet Studio");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Support");
    $cswmGroup1->setID("Support");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Knowledge Base");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Email");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("9");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Dev Support");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Feedback");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Download");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Basket");
    $cswmGroup1->setID("Basket");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("View Basket");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::None);
    $WebMenu1->getItemFont()->setColor("#202020");

    return $WebMenu1;
}

?>
