<?php

// Creates and configures a new webmenu control
function CreateWebMenu($left, $top, $location)
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundImage("./images/background.gif");
    $WebMenu1->setDisabledTextColor("#A5A6A6");
    $WebMenu1->setInnerHighlightColor("#F9F8F7");
    $WebMenu1->setInnerShadowColor("#F9F8F7");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#666666");
    $WebMenu1->setOuterShadowColor("#666666");
    $WebMenu1->setPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedColor("#B6BDD2");
    $WebMenu1->setSelectedHighlightColor("#0A246A");
    $WebMenu1->setSelectedPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedShadowColor("#0A246A");
    $WebMenu1->setSelectedTextColor("#000000");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("File");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("File");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("New");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Open");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("0");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Project...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon3.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Project From Web...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon4.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("File");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon5.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("File From Web...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon6.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Close");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#a5a6a6");
    $cswmItem->setDividerImage("./images/divider.gif");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add New Item...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon1.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add Existing Item...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon2.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add Project");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#a5a6a6");
    $cswmItem->setDividerImage("./images/divider.gif");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Page Setup...");
    $cswmItem->setEnabled(false);
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon7.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Print...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Edit");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Edit");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Cut");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon12.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Copy");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon9.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Paste");
    $cswmItem->setEnabled(false);
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon11.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Delete");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon10.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Help");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Help");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Contents...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Index...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Search...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Divider");
    $cswmItem->setDividerColor("#a5a6a6");
    $cswmItem->setDividerImage("./images/divider.gif");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("About");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setOnClick("alert('WebMenu Technology is developed by Coalesys, Inc.');");

    $absoluteDockState = Coalesys\WebMenu\AbsoluteDockStateConstants::UnDocked;
    if ($location != null)
    {
        if ($location == "top")
        {
            $absoluteDockState = Coalesys\WebMenu\AbsoluteDockStateConstants::Top;
        }
        else if ($location == "bottom")
        {
            $absoluteDockState = Coalesys\WebMenu\AbsoluteDockStateConstants::Bottom;
        }
    }
    $WebMenu1->getMenuBar()->setAbsoluteDockState($absoluteDockState);
    $absoluteLeft = 208;
    if ($left != null)
    {
        $absoluteLeft = intval($left);
    }
    $WebMenu1->getMenuBar()->setAbsoluteLeft($absoluteLeft);
    $absoluteTop = 52;
    if ($top != null)
    {
        $absoluteTop = intval($top);
    }
    $WebMenu1->getMenuBar()->setAbsoluteTop($absoluteTop);
    $WebMenu1->getMenuBar()->setHoverColor("#B6BDD2");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#0A246A");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#0A246A");
    $WebMenu1->getMenuBar()->setOnDock("OnMenuBarDock(DockLocation)");
    $WebMenu1->getMenuBar()->setOnDragEnd("OnMenuBarDragEnd(MenuBarLeft, MenuBarTop)");
    $WebMenu1->getMenuBar()->setOnUnDock("OnMenuBarUnDock()");
    $WebMenu1->getItemFont()->setPaddingLeft(4);

    return $WebMenu1;
}

?>
