<?php

// Creates and configures a new webmenu control
function CreateWebMenu1()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#ece9d8");
    $WebMenu1->setDisabledTextColor("#aca899");
    $WebMenu1->setGeneratedPrefix("cswm1");
    $WebMenu1->setInnerShadowColor("#aca899");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#f1efe2");
    $WebMenu1->setOuterShadowColor("#716f64");
    $WebMenu1->setSelectedColor("#93a070");
    $WebMenu1->setShadowEnabled(true);

    $cswm1Group1 = $WebMenu1->getGroups()->Add();
    $cswm1Group1->setCaption("File");
    $cswm1Group1->setDownLevelURL("index.php");
    $cswm1Group1->setID("File");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("New");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Open");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);

    $cswm1Group2 = $cswm1Item->AddGroup();
    $cswm1Group2->setID("0");

    $cswm1Item = $cswm1Group2->getItems()->Add();
    $cswm1Item->setCaption("Project...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon3.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group2->getItems()->Add();
    $cswm1Item->setCaption("Project From Web...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon4.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group2->getItems()->Add();
    $cswm1Item->setCaption("File");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon5.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group2->getItems()->Add();
    $cswm1Item->setCaption("File From Web...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon6.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Close");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider1");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider2");
    $cswm1Item->setDividerColor("#ffffff");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Add New Item...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon1.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Add Existing Item...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon2.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Add Project");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider1");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider2");
    $cswm1Item->setDividerColor("#ffffff");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Page Setup...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setEnabled(false);
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon7.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Print...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Group1 = $WebMenu1->getGroups()->Add();
    $cswm1Group1->setCaption("Edit");
    $cswm1Group1->setDownLevelURL("index.php");
    $cswm1Group1->setID("Edit");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Cut");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon12.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Copy");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon9.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Paste");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setEnabled(false);
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon11.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Delete");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/icon10.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Group1 = $WebMenu1->getGroups()->Add();
    $cswm1Group1->setCaption("Help");
    $cswm1Group1->setDownLevelURL("index.php");
    $cswm1Group1->setID("Help");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Contents...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Index...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Search...");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setURL("index.php");

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider1");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("Divider2");
    $cswm1Item->setDividerColor("#ffffff");
    $cswm1Item->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswm1Item = $cswm1Group1->getItems()->Add();
    $cswm1Item->setCaption("About");
    $cswm1Item->setDividerColor("#aca899");
    $cswm1Item->setIconHeight(16);
    $cswm1Item->setIconImage("./images/blank.gif");
    $cswm1Item->setIconPaddingRight(12);
    $cswm1Item->setIconWidth(16);
    $cswm1Item->setOnClick("alert('WebMenu Technology is developed by Coalesys, Inc.');");

    $WebMenu1->getMenuBar()->setAbsoluteLeft(163);
    $WebMenu1->getMenuBar()->setAbsoluteTop(54);
    $WebMenu1->getMenuBar()->setBackgroundColor("#ece9d8");
    $WebMenu1->getMenuBar()->setBorderSize(0);
    $WebMenu1->getMenuBar()->setHoverColor("#ece9d8");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setInnerShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#f1efe2");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#716f64");
    $WebMenu1->getMenuBar()->setSelectedColor("#ece9d8");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#aca899");
    $WebMenu1->getItemFont()->setPaddingLeft(4);

    return $WebMenu1;
}

// Creates and configures a new webmenu control
function CreateWebMenu2()
{
    $WebMenu2 = new Coalesys\WebMenu\WebMenu();
    $WebMenu2->setBackgroundColor("#ffffff");
    $WebMenu2->setBorderSize(1);
    $WebMenu2->setDisabledTextColor("#aca899");
    $WebMenu2->setGeneratedPrefix("cswm2");
    $WebMenu2->setInnerShadowColor("#aca899");
    $WebMenu2->setMouseCursor("pointer");
    $WebMenu2->setName("WebMenu2");
    $WebMenu2->setOuterHighlightColor("#f1efe2");
    $WebMenu2->setOuterShadowColor("#716f64");
    $WebMenu2->setSelectedColor("#93a070");
    $WebMenu2->setShadowEnabled(true);

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[New]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("newid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/new.gif");
    $cswm2Group1->setIconToolTip("New Blank Document");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('New');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Open]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("openid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/open.gif");
    $cswm2Group1->setIconToolTip("Open");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Open');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Save]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("saveid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/save.gif");
    $cswm2Group1->setIconToolTip("Save");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Save');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Search]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("searchid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/search.gif");
    $cswm2Group1->setIconToolTip("Search");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Search');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Print]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("printid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/print.gif");
    $cswm2Group1->setIconToolTip("Print Document");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Print');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Preview]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("previewid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/preview.gif");
    $cswm2Group1->setIconToolTip("Print Preview");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Preview');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Spelling]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("spellingid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/spelling.gif");
    $cswm2Group1->setIconToolTip("Spelling and Grammar");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Spelling');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Cut]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("cutid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/cut.gif");
    $cswm2Group1->setIconToolTip("Cut");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Cut');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Copy]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("copyid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/copy.gif");
    $cswm2Group1->setIconToolTip("Copy");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Copy');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Paste]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("pasteid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/paste.gif");
    $cswm2Group1->setIconToolTip("Paste");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Paste');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Format]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("formatid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/format.gif");
    $cswm2Group1->setIconToolTip("Format Painter");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Format');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Undo]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("undoid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/undo.gif");
    $cswm2Group1->setIconToolTip("Undo Typing");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("location.href='index.php';");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Arrow]");
    $cswm2Group1->setID("uarrowid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/arrow.gif");
    $cswm2Group1->setIconWidth(5);

    $cswm2Item = $cswm2Group1->getItems()->Add();
    $cswm2Item->setCaption("Undo 1 Action");
    $cswm2Item->setURL("index.php");

    $cswm2Item = $cswm2Group1->getItems()->Add();
    $cswm2Item->setCaption("Undo 2 Actions");
    $cswm2Item->setURL("index.php");

    $cswm2Item = $cswm2Group1->getItems()->Add();
    $cswm2Item->setCaption("Undo 3 Actions");
    $cswm2Item->setURL("index.php");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Redo]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("redoid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/redo.gif");
    $cswm2Group1->setIconToolTip("Redo Typing");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("location.href='index.php';");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Arrow]");
    $cswm2Group1->setID("rarrowid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/arrow.gif");
    $cswm2Group1->setIconWidth(5);

    $cswm2Item = $cswm2Group1->getItems()->Add();
    $cswm2Item->setCaption("Redo 1 Action");
    $cswm2Item->setURL("index.php");

    $cswm2Item = $cswm2Group1->getItems()->Add();
    $cswm2Item->setCaption("Redo 2 Actions");
    $cswm2Item->setURL("index.php");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Hyperlink]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("hyperlinkid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/hyperlink.gif");
    $cswm2Group1->setIconToolTip("Insert Hyerlink");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Hyperlink');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Borders]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("bordersid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/borders.gif");
    $cswm2Group1->setIconToolTip("Tables and Borders");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Borders');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Table]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("tableid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/table.gif");
    $cswm2Group1->setIconToolTip("Insert Table");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Table');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Excel]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("excelid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/excel.gif");
    $cswm2Group1->setIconToolTip("Insert Microsoft Excel Worksheet");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Excel');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Columns]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("columnsid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/columns.gif");
    $cswm2Group1->setIconToolTip("Columns");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Columns');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Drawing]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("drawingid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/drawing.gif");
    $cswm2Group1->setIconToolTip("Drawing");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Drawing');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Document]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("documentid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/document.gif");
    $cswm2Group1->setIconToolTip("Document Map");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Document');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Paragraph]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("paragraphid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/paragraph.gif");
    $cswm2Group1->setIconToolTip("Show/Hide Paragraph");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("alert('Paragraph');");

    $cswm2Group1 = $WebMenu2->getGroups()->Add();
    $cswm2Group1->setCaption("[Help]");
    $cswm2Group1->setClickOnMouseDown(false);
    $cswm2Group1->setID("helpid");
    $cswm2Group1->setIconHeight(16);
    $cswm2Group1->setIconImage("./images/help.gif");
    $cswm2Group1->setIconToolTip("Microsoft Word Help");
    $cswm2Group1->setIconWidth(16);
    $cswm2Group1->setOnMenuBarClick("window.open('http://www.coalesys.com');");

    $WebMenu2->getMenuBar()->setAbsoluteLeft(284);
    $WebMenu2->getMenuBar()->setAbsoluteTop(53);
    $WebMenu2->getMenuBar()->setBackgroundColor("#ece9d8");
    $WebMenu2->getMenuBar()->setHoverColor("#ece9d8");
    $WebMenu2->getMenuBar()->setHoverShadowColor("#aca899");
    $WebMenu2->getMenuBar()->setInnerShadowColor("#aca899");
    $WebMenu2->getMenuBar()->setOuterHighlightColor("#f1efe2");
    $WebMenu2->getMenuBar()->setOuterShadowColor("#716f64");
    $WebMenu2->getMenuBar()->setSelectedColor("#ece9d8");
    $WebMenu2->getMenuBar()->setSelectedHighlightColor("#aca899");
    $WebMenu2->getButtonFont()->setPaddingBottom(3);
    $WebMenu2->getButtonFont()->setPaddingLeft(3);
    $WebMenu2->getButtonFont()->setPaddingRight(3);
    $WebMenu2->getButtonFont()->setPaddingTop(3);
    $WebMenu2->getButtonFont()->setSize("12px");
    $WebMenu2->getItemFont()->setPaddingBottom(2);
    $WebMenu2->getItemFont()->setPaddingTop(2);
    $WebMenu2->getItemFont()->setSize("10px");

    return $WebMenu2;
}

?>
