<?php

// Creates and configures a new webmenu control
function CreateWebMenu($selectedId)
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#ece9d8");
    $WebMenu1->setDisabledTextColor("#aca899");
    $WebMenu1->setGroupSelected($selectedId);
    $WebMenu1->setInnerShadowColor("#aca899");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#f1efe2");
    $WebMenu1->setOuterShadowColor("#716f64");
    $WebMenu1->setSelectedColor("#93a070");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("About");
    $cswmGroup1->setID("About");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('About')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("JScript");
    $cswmGroup1->setID("JScript");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('JScript')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("VBScript");
    $cswmGroup1->setID("VBScript");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('VBScript')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("C#");
    $cswmGroup1->setID("CSharp");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('CSharp')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("VB.NET");
    $cswmGroup1->setID("VBNET");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('VBNET')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("C++/CLI");
    $cswmGroup1->setID("CPPCLI");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('CPPCLI')");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Java");
    $cswmGroup1->setID("Java");
    $cswmGroup1->setIconHeight(11);
    $cswmGroup1->setIconImage("./images/bullet.gif");
    $cswmGroup1->setIconWidth(9);
    $cswmGroup1->setOnMenuBarClick("ShowTopic('Java')");

	$cswmGroup1 = $WebMenu1->getGroups()->Add();
	$cswmGroup1->setCaption("PHP");
	$cswmGroup1->setID("PHP");
	$cswmGroup1->setIconHeight(11);
	$cswmGroup1->setIconImage("./images/bullet.gif");
	$cswmGroup1->setIconWidth(9);
	$cswmGroup1->setOnMenuBarClick("ShowTopic('PHP')");
	
	$WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#ece9d8");
    $WebMenu1->getMenuBar()->setDisplayStyle(Coalesys\WebMenu\DisplayStyleConstants::TabStrip);
    $WebMenu1->getMenuBar()->setHoverColor("#ece9d8");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setInnerShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#f1efe2");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#716f64");
    $WebMenu1->getMenuBar()->setSelectedColor("#ebcfda");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#aca899");
    $WebMenu1->getButtonFont()->setTextDecoration("underline");

    return $WebMenu1;
}

?>
