<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#ffffff");
    $WebMenu1->setBorderSize(1);
    $WebMenu1->setDisabledTextColor("#aca899");
    $WebMenu1->setInnerShadowColor("#aca899");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#f1efe2");
    $WebMenu1->setOuterShadowColor("#716f64");
    $WebMenu1->setSelectedColor("#93a070");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[New]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("newid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/new.gif");
    $cswmGroup1->setIconToolTip("New Blank Document");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('New');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Open]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("openid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/open.gif");
    $cswmGroup1->setIconToolTip("Open");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Open');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Save]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("saveid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/save.gif");
    $cswmGroup1->setIconToolTip("Save");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Save');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Search]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("searchid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/search.gif");
    $cswmGroup1->setIconToolTip("Search");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Search');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Print]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("printid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/print.gif");
    $cswmGroup1->setIconToolTip("Print Document");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Print');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Preview]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("previewid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/preview.gif");
    $cswmGroup1->setIconToolTip("Print Preview");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Preview');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Spelling]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("spellingid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/spelling.gif");
    $cswmGroup1->setIconToolTip("Spelling and Grammar");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Spelling');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Cut]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("cutid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/cut.gif");
    $cswmGroup1->setIconToolTip("Cut");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Cut');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Copy]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("copyid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/copy.gif");
    $cswmGroup1->setIconToolTip("Copy");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Copy');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Paste]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("pasteid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/paste.gif");
    $cswmGroup1->setIconToolTip("Paste");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Paste');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Format]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("formatid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/format.gif");
    $cswmGroup1->setIconToolTip("Format Painter");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Format');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Undo]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("undoid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/undo.gif");
    $cswmGroup1->setIconToolTip("Undo Typing");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("location.href='index.php';");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Arrow]");
    $cswmGroup1->setID("uarrowid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/arrow.gif");
    $cswmGroup1->setIconWidth(5);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Undo 1 Action");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Undo 2 Actions");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Undo 3 Actions");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Redo]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("redoid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/redo.gif");
    $cswmGroup1->setIconToolTip("Redo Typing");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("location.href='index.php';");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Arrow]");
    $cswmGroup1->setID("rarrowid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/arrow.gif");
    $cswmGroup1->setIconWidth(5);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Redo 1 Action");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Redo 2 Actions");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Hyperlink]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("hyperlinkid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/hyperlink.gif");
    $cswmGroup1->setIconToolTip("Insert Hyerlink");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Hyperlink');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Borders]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("bordersid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/borders.gif");
    $cswmGroup1->setIconToolTip("Tables and Borders");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Borders');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Table]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("tableid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/table.gif");
    $cswmGroup1->setIconToolTip("Insert Table");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Table');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Excel]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("excelid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/excel.gif");
    $cswmGroup1->setIconToolTip("Insert Microsoft Excel Worksheet");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Excel');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Columns]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("columnsid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/columns.gif");
    $cswmGroup1->setIconToolTip("Columns");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Columns');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Drawing]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("drawingid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/drawing.gif");
    $cswmGroup1->setIconToolTip("Drawing");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Drawing');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Document]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("documentid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/document.gif");
    $cswmGroup1->setIconToolTip("Document Map");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Document');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Paragraph]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("paragraphid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/paragraph.gif");
    $cswmGroup1->setIconToolTip("Show/Hide Paragraph");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("alert('Paragraph');");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("[Help]");
    $cswmGroup1->setClickOnMouseDown(false);
    $cswmGroup1->setID("helpid");
    $cswmGroup1->setIconHeight(16);
    $cswmGroup1->setIconImage("./images/help.gif");
    $cswmGroup1->setIconToolTip("Microsoft Word Help");
    $cswmGroup1->setIconWidth(16);
    $cswmGroup1->setOnMenuBarClick("window.open('http://www.coalesys.com');");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#ece9d8");
    $WebMenu1->getMenuBar()->setHoverColor("#ece9d8");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setInnerShadowColor("#aca899");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#f1efe2");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#716f64");
    $WebMenu1->getMenuBar()->setSelectedColor("#ece9d8");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#aca899");
    $WebMenu1->getButtonFont()->setPaddingBottom(3);
    $WebMenu1->getButtonFont()->setPaddingLeft(3);
    $WebMenu1->getButtonFont()->setPaddingRight(3);
    $WebMenu1->getButtonFont()->setPaddingTop(3);
    $WebMenu1->getItemFont()->setPaddingBottom(2);
    $WebMenu1->getItemFont()->setPaddingTop(2);
    $WebMenu1->getItemFont()->setSize("10px");

    return $WebMenu1;
}

?>
