<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#87b9ed");
    $WebMenu1->setInnerHighlightColor("#d0dff3");
    $WebMenu1->setInnerShadowColor("#467a8b");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#000000");
    $WebMenu1->setOuterShadowColor("#000000");
    $WebMenu1->setSelectedColor("#0575b9");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Edit");
    $cswmGroup1->setID("Edit");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Cut");
    $cswmItem->setOnClick("cswmHide()");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Copy");
    $cswmItem->setOnClick("cswmHide()");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Paste");
    $cswmItem->setOnClick("cswmHide()");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-- Divider --");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Select All");
    $cswmItem->setOnClick("cswmHide()");

    $WebMenu1->getMenuBar()->setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::None);
    $WebMenu1->getItemFont()->setPaddingRight(30);

    return $WebMenu1;
}

?>
