<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#e3efef");
    $WebMenu1->setDisabledTextColor("#868686");
    $WebMenu1->setEffect(Coalesys\WebMenu\EffectConstants::DiagonalWipe);
    $WebMenu1->setInnerHighlightColor("#BFBFBF");
    $WebMenu1->setInnerShadowColor("#BFBFBF");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#666666");
    $WebMenu1->setOuterShadowColor("#666666");
    $WebMenu1->setPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedColor("#98c9d0");
    $WebMenu1->setSelectedHighlightColor("#e2e2e2");
    $WebMenu1->setSelectedPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedShadowColor("#508c8c");
    $WebMenu1->setSelectedTextColor("#000000");
    $WebMenu1->setShadowEnabled(true);
    $WebMenu1->setShadowStrength(4);
    $WebMenu1->setShadowXOffset(6);
    $WebMenu1->setShadowYOffset(6);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("File");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("File");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("New");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Open");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("0");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Project...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon3.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Project From Web...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon4.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("File");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon5.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("File From Web...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon6.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Close");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add New Item...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon1.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add Existing Item...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon2.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Add Project");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Page Setup...");
    $cswmItem->setEnabled(false);
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon7.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Print...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Edit");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Edit");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Cut");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon12.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Copy");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon9.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Paste");
    $cswmItem->setEnabled(false);
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon11.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Delete");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/icon10.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Help");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Help");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Contents...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Index...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Search...");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("About");
    $cswmItem->setIconHeight(16);
    $cswmItem->setIconImage("./images/blank.gif");
    $cswmItem->setIconPaddingRight(12);
    $cswmItem->setIconWidth(16);
    $cswmItem->setOnClick("alert('WebMenu Technology is developed by Coalesys, Inc.');");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDockState(Coalesys\WebMenu\AbsoluteDockStateConstants::Top);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#98c9d0");
    $WebMenu1->getMenuBar()->setBorderSize(0);
    $WebMenu1->getMenuBar()->setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::Vertical);
    $WebMenu1->getMenuBar()->setHoverColor("#98c9d0");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#e2e2e2");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#508c8c");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#808080");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#ffffff");
    $WebMenu1->getMenuBar()->setSelectedColor("#e3efef");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#508c8c");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#e2e2e2");
    $WebMenu1->getItemFont()->setPaddingLeft(4);

    return $WebMenu1;
}

?>
