<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./ComboBox.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b0b0b0;}
        .csDescription {background-color:#ececec;border-width:0px;}
        .csCombo {box-shadow:4px 4px 8px -4px #000000;display:inline-block;font-size:0px;}
        .csInput {border:1px solid #a5aeb5;color:#202020;font-family:arial,helvetica,sans-serif;font-size:11px;height:15px;padding-left:3px;vertical-align:top;width:100px;}
        .csButton {background-image:url('./images/arrow.png');display:inline-block;font-family:arial,helvetica,sans-serif;font-size:11px;height:19px;width:16px;}
        .csUnselected {background-image:url('./images/arrow.png');display:inline-block;font-family:arial,helvetica,sans-serif;font-size:11px;height:19px;width:16px;}
        .csSelected {background-image:url('./images/selected.png');display:inline-block;font-family:arial,helvetica,sans-serif;font-size:11px;height:19px;width:16px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Custom ComboBox:</div>
                <div class="csContent">
                    This sample uses an HTML Form Input Text field and a WebMenu group to create a hierarchical, editable ComboBox that can replace the HTML Select element.<br />
                    <br />
                    Each poup menu Item uses the <b>OnClick</b> property to set the form field by invoking a client-side JavaScript function.<br />
                    <div class="csIndent">
                        <div class="csCombo"><input class="csInput" id="csText" type="text" value="Windows 10" /><div class="csUnselected" id="csButton" onclick="ShowDropDown()"></div></div>
                    </div>
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /SampleUsages<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/CustomComboBox
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
