<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#b6ddd6");
    $WebMenu1->setBorderSize(1);
    $WebMenu1->setDisabledTextColor("#a0a0a0");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#e3e3e3");
    $WebMenu1->setOuterShadowColor("#696969");
    $WebMenu1->setSelectedColor("#2fd1f2");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Continents");
    $cswmGroup1->setID("Group_e092");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Africa");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Antarctica");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Asia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Australia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Europe");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("North America");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("South America");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Supercontinents");
    $cswmGroup1->setID("Group_b268");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Afro-Eurasia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Americas");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Eurasia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Oceania");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("More Info");
    $cswmGroup1->setID("Group_df20");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Historical Data");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Other Facts");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setInnerHighlightColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#e3e3e3");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#696969");
    $WebMenu1->getMenuBar()->setSelectedColor("#808080");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#808080");
    $WebMenu1->getMenuBar()->setSelectedTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu1->getMenuBar()->setShowOnMouseOver(true);
    $WebMenu1->getButtonFont()->setColor("#202020");
    $WebMenu1->getButtonFont()->setPaddingBottom(2);
    $WebMenu1->getButtonFont()->setPaddingTop(2);
    $WebMenu1->getButtonFont()->setSize("13px");
    $WebMenu1->getItemFont()->setColor("#202020");

    return $WebMenu1;
}

?>
