<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBorderSize(1);
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#606060");
    $WebMenu1->setOuterShadowColor("#606060");
    $WebMenu1->setSelectedColor("#606060");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("File");
    $cswmGroup1->setID("Group_5018");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("New");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#c6d5a0");
    $cswmItem->setCaption("Open...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#89bc9d");
    $cswmItem->setCaption("Save");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#89adbc");
    $cswmItem->setCaption("Save As...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d39d97");
    $cswmItem->setCaption("Exit");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Edit");
    $cswmGroup1->setID("Group_641e");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("Cut");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#c6d5a0");
    $cswmItem->setCaption("Copy");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#89bc9d");
    $cswmItem->setCaption("Paste");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Options");
    $cswmGroup1->setID("Group_7824");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("Application Settings...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#c6d5a0");
    $cswmItem->setCaption("Project Settings...");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Build");
    $cswmGroup1->setID("Group_8c2a");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("Compile");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Tools");
    $cswmGroup1->setID("Group_a030");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("Capture Menu...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#c6d5a0");
    $cswmItem->setCaption("Use System Colors");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Help");
    $cswmGroup1->setID("Group_b436");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#d8ceaf");
    $cswmItem->setCaption("Contents...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#c6d5a0");
    $cswmItem->setCaption("Online Knowledge Base...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#89bc9d");
    $cswmItem->setCaption("Check for Updates...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("-");
    $cswmItem->setDividerColor("#606060");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setBackgroundColor("#89adbc");
    $cswmItem->setCaption("About...");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#909090");
    $WebMenu1->getMenuBar()->setBorderSize(1);
    $WebMenu1->getMenuBar()->setHoverColor("#606060");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#606060");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#606060");
    $WebMenu1->getMenuBar()->setHoverTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#404040");
    $WebMenu1->getMenuBar()->setSelectedColor("#606060");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#606060");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#606060");
    $WebMenu1->getMenuBar()->setSelectedTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu1->getMenuBar()->setShowOnMouseOver(true);
    $WebMenu1->getButtonFont()->setColor("#ffffff");
    $WebMenu1->getButtonFont()->setSize("12px");
    $WebMenu1->getButtonFont()->setWeight("bold");
    $WebMenu1->getItemFont()->setSize("12px");

    return $WebMenu1;
}

?>
