<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("File");
    $cswmGroup1->setID("File");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("New");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("0");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Window");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Message");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Post");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Contact");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Internet Call");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Open...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Edit with Microsoft FrontPage");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Save");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Save As...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Page Setup...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Print...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Print Preview...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Send");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("1");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Page by E-mail...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Link by E-mail...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Shortcut to Desktop");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Import and Export...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Properties");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Work Offline");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Close");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Edit");
    $cswmGroup1->setID("Edit");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Cut");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Copy");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Paste");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Select All");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Find (on This Page)...");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("View");
    $cswmGroup1->setID("View");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Toolbars");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("2");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Standard Buttons");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Address Bar");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Links");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Radio");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Customize...");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Status Bar");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Explorer Bar");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("3");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Search");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Favorites");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("History");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Folders");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Tip of the Day");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Discuss");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Go To");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("4");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Back");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Forward");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Home Page");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Coalesys, Inc.");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Stop");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Refresh");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Text Size");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("5");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Largest");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Larger");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Medium");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Smaller");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Smallest");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Encoding");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("6");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Auto-Select");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Western European (Windows)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Western European (ISO)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("More");

    $cswmGroup3 = $cswmItem->AddGroup();
    $cswmGroup3->setID("8");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Central European (DOS)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Central European (ISO)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Central European (Windows)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Unicode (UTF-8)");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("User Defined");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--shadow--");
    $cswmItem->setDividerColor("#808080");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("--highlight--");
    $cswmItem->setDividerColor("#ffffff");
    $cswmItem->setStyle(Coalesys\WebMenu\StyleConstants::Divider);

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Source");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Script Debugger");

    $cswmGroup2 = $cswmItem->AddGroup();
    $cswmGroup2->setID("7");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Open");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Break at Next Statement");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Full Screen");
    $cswmItem->setURL("index.php");

    return $WebMenu1;
}

?>
