<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#f0f0f0");
    $WebMenu1->setDisabledTextColor("#a0a0a0");
    $WebMenu1->setInnerShadowColor("#a0a0a0");
    $WebMenu1->setOuterHighlightColor("#e3e3e3");
    $WebMenu1->setOuterShadowColor("#696969");
    $WebMenu1->setSelectedColor("#3399ff");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("U.S.");
    $cswmGroup1->setHtmlAboveItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;U.S.&gt;</div>");
    $cswmGroup1->setHtmlBelowItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;/U.S.&gt;</div>");
    $cswmGroup1->setID("Group_1061");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Northeast");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("South");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Midwest");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("West");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("World");
    $cswmGroup1->setHtmlAboveItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;World&gt;</div>");
    $cswmGroup1->setHtmlBelowItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;/World&gt;</div>");
    $cswmGroup1->setID("Group_422c");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Africa");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Americas");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Asia Pacific");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Europe");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Middle East");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Entertainment");
    $cswmGroup1->setHtmlAboveItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;Entertainment&gt;</div>");
    $cswmGroup1->setHtmlBelowItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;/Entertainment&gt;</div>");
    $cswmGroup1->setID("Group_52e9");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Movie &amp; TV");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Music");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Sci/Tech");
    $cswmGroup1->setHtmlAboveItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;Sci-Tech&gt;</div>");
    $cswmGroup1->setHtmlBelowItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;/Sci-Tech&gt;</div>");
    $cswmGroup1->setID("Group_63fc");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Technology");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Science");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Sports");
    $cswmGroup1->setHtmlAboveItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;Sports&gt;</div>");
    $cswmGroup1->setHtmlBelowItems("<div style=\"background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;\">&lt;/Sports&gt;</div>");
    $cswmGroup1->setID("Group_74de");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("NFL");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("MLB");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("NBA");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("NHL");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Soccer");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Golf");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Tennis");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setHoverColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#a0a0a0");
    $WebMenu1->getMenuBar()->setInnerShadowColor("#a0a0a0");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#e3e3e3");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#696969");
    $WebMenu1->getMenuBar()->setSelectedColor("#3399ff");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setSelectedTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu1->getMenuBar()->setShowOnMouseOver(true);
    $WebMenu1->getButtonFont()->setFamily("\"Segoe UI\",Arial,Helvetica,Sans-Serif");
    $WebMenu1->getButtonFont()->setSize("13px");
    $WebMenu1->getItemFont()->setFamily("\"Segoe UI\",Arial,Helvetica,Sans-Serif");
    $WebMenu1->getItemFont()->setSize("13px");

    return $WebMenu1;
}

?>
