<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setAccessorKeyCode(27);
    $WebMenu1->setBackgroundColor("#1E77D3");
    $WebMenu1->setEffect(Coalesys\WebMenu\EffectConstants::Fade);
    $WebMenu1->setInnerHighlightColor("#1E77D3");
    $WebMenu1->setInnerShadowColor("#1E77D3");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#A1C6EB");
    $WebMenu1->setOuterShadowColor("#A1C6EB");
    $WebMenu1->setPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedColor("#3484D7");
    $WebMenu1->setSelectedHighlightColor("#A1C6EB");
    $WebMenu1->setSelectedPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedShadowColor("#A1C6EB");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Home");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Home");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Welcome");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Company Info");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("News");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Contact");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");

    $cswmGroup3 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Customer Service");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Human Resources");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Technical Support");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Employment");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Partners");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Products");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Prods");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP Components");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP.NET Components");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebPropertyGrid for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for ASP.NET");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("ASP.NET MVC Components");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebPropertyGrid for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for ASP.NET MVC");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("JSP Components");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for JSP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for JSP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for JSP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for JSP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for JSP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("PHP Components");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar for PHP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu for PHP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown for PHP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree for PHP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet for PHP");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Studio Applications");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("PanelBar Studio");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebMenu Studio");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebDrillDown Studio");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebObjectTree Studio");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("WebTabSet Studio");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Support");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Supt");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Forums");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Knowledge Base");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Latest Articles");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Search By Product");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Email");
    $cswmItem->setIconHeight(12);
    $cswmItem->setIconImage("./images/icon_standard.gif");
    $cswmItem->setIconPaddingRight(6);
    $cswmItem->setIconWidth(12);
    $cswmItem->setSelectedIconImage("./images/icon_highlight.gif");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Site Map");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("SMap");
    $cswmGroup1->setOnMenuBarClick("alert('Site Map Clicked');");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#1E77D3");
    $WebMenu1->getMenuBar()->setBorderSize(0);
    $WebMenu1->getMenuBar()->setHoverColor("#3484D7");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#A1C6EB");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#A1C6EB");
    $WebMenu1->getMenuBar()->setHoverTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setSelectedColor("#0068cc");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#0068cc");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#0068cc");
    $WebMenu1->getMenuBar()->setSelectedTextColor("#ffffff");
    $WebMenu1->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu1->getButtonFont()->setColor("#ffffff");
    $WebMenu1->getButtonFont()->setPaddingLeft(8);
    $WebMenu1->getButtonFont()->setPaddingRight(8);
    $WebMenu1->getItemFont()->setColor("#ffffff");
    $WebMenu1->getItemFont()->setPaddingBottom(4);
    $WebMenu1->getItemFont()->setPaddingLeft(3);
    $WebMenu1->getItemFont()->setPaddingTop(4);

    return $WebMenu1;
}

?>
