<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csHeading {background-color:#606060;}
        .csDescription {border-top-width:0px;}
        .csSeparator {height:4px;}
        .csDivider1 {background-color:#808080;height:1px;}
        .csDivider2 {background-color:#ffffff;height:1px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csSeparator"></div>
                <input type="text" value="Search" size="12" />
                <div class="csSeparator"></div>
                <div class="csDivider1"></div>
                <div class="csDivider2"></div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Permanent Dock MenuBar:</div>
                    <div class="csContent">
                        The MenuBar can be fixed in the docked position to either the top or bottom of the viewable page.
                        This is accomplished with the following settings:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::Horizontal);</div>
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setAbsoluteDockEnabled(true);</div>
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setAbsoluteDragEnabled(false);</div>
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setAbsoluteDockState(Coalesys\WebMenu\AbsoluteDockStateConstants::Top);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/PermanentDockMenuBar
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
