<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#F1F1F1");
    $WebMenu1->setInnerHighlightColor("#F1F1F1");
    $WebMenu1->setInnerShadowColor("#F1F1F1");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#666666");
    $WebMenu1->setOuterShadowColor("#666666");
    $WebMenu1->setPopupIcon("./images/popup.gif");
    $WebMenu1->setScrollEnabled(true);
    $WebMenu1->setSelectedColor("#CCCCCC");
    $WebMenu1->setSelectedHighlightColor("#999999");
    $WebMenu1->setSelectedPopupIcon("./images/popup.gif");
    $WebMenu1->setSelectedShadowColor("#999999");
    $WebMenu1->setSelectedTextColor("#000000");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Products &amp; Technologies");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Prod");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Accessibility");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Application Compatibility");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Audio &amp; Video");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Building Distributed Applications");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Business Solutions");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Data Access Technologies");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Device Driver Development");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Embedded Operating System Development");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Privacy");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Security");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("SOAP");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("User Interface");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("XML");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 1");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 2");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 3");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 4");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 5");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 6");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 7");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 8");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 9");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 10");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 11");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 12");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 13");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 14");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 15");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Place Holder 16");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Columns &amp; Shows");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Cols");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Editorial Columns");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Adventures in Programming");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Ask the Doctor");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Here to Serve");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Security by Numbers");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Don't Worry, Be Happy");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Embedded Thoughts");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("XML on the Edge");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Cooler Talk");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Clinical Scriptions");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Set 'em up Joe");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Wunder Forms");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Sharpening your Code");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 1");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 2");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 3");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 4");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 5");

    $cswmGroup3 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup3->getItems()->Add();
    $cswmItem->setCaption("Place Holder");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 6");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 7");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 8");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 9");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Place Holder 10");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Technical Columns");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("COM Q &amp; A");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("DHTML Q &amp; A");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Simply Complex");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Shows");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Coding Late Tonight");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Still Coding In The Morning");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Bonus Court");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Community");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("Comm");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Community Homepage");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Newsgroups");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Technical Chats");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("User Groups");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Related Communities");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setBackgroundColor("#F1F1F1");
    $WebMenu1->getMenuBar()->setBorderSize(0);
    $WebMenu1->getMenuBar()->setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::Vertical);
    $WebMenu1->getMenuBar()->setHoverColor("#B6BDD2");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#0A246A");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#0A246A");
    $WebMenu1->getMenuBar()->setSelectedColor("#CCCCCC");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#999999");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#999999");
    $WebMenu1->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu1->getMenuBar()->setShowOnMouseOver(true);

    return $WebMenu1;
}

?>
