<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#e0e0e0");
    $WebMenu1->setInnerHighlightColor("#f0f0f0");
    $WebMenu1->setInnerShadowColor("#949494");
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOuterHighlightColor("#e0e0e0");
    $WebMenu1->setOuterShadowColor("#696969");
    $WebMenu1->setPopupMode(Coalesys\WebMenu\PopupModeConstants::Horizontal);
    $WebMenu1->setSelectedColor("#853d3d");
    $WebMenu1->setSelectedHighlightColor("#a16262");
    $WebMenu1->setSelectedShadowColor("#4d1212");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Web Browsers");
    $cswmGroup1->setDownLevelURL("index.php");
    $cswmGroup1->setID("WB");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Chrome");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("IE");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Firefox ");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Safari");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Edge");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Search Engines");
    $cswmGroup1->setID("SE");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Google");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Yahoo!");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Bing");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Baidu");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Ask");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("Popular Sites");
    $cswmGroup1->setID("PS");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Facebook");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("YouTube");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Amazon");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Wikipedia");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Twitter");
    $cswmItem->setURL("index.php");

    $WebMenu1->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu1->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu1->getMenuBar()->setBackgroundColor("#e0e0e0");
    $WebMenu1->getMenuBar()->setHoverColor("#e0e0e0");
    $WebMenu1->getMenuBar()->setHoverHighlightColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setHoverShadowColor("#949494");
    $WebMenu1->getMenuBar()->setInnerHighlightColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setInnerShadowColor("#949494");
    $WebMenu1->getMenuBar()->setOuterHighlightColor("#e0e0e0");
    $WebMenu1->getMenuBar()->setOuterShadowColor("#696969");
    $WebMenu1->getMenuBar()->setSelectedColor("#e0e0e0");
    $WebMenu1->getMenuBar()->setSelectedHighlightColor("#949494");
    $WebMenu1->getMenuBar()->setSelectedShadowColor("#f0f0f0");
    $WebMenu1->getMenuBar()->setShowOnMouseOver(true);
    $WebMenu1->getItemFont()->setPaddingBottom(4);
    $WebMenu1->getItemFont()->setPaddingTop(4);

    return $WebMenu1;
}

?>
