<?php

// Creates and configures a new webmenu control
function CreateWebMenu()
{
    $WebMenu1 = new Coalesys\WebMenu\WebMenu();
    $WebMenu1->setBackgroundColor("#ffffff");
    $WebMenu1->setBorderSize(1);
    $WebMenu1->setMouseCursor("pointer");
    $WebMenu1->setOnHide("SelectButton(false)");
    $WebMenu1->setOnShow("SelectButton(true)");
    $WebMenu1->setOuterHighlightColor("#a5aeb5");
    $WebMenu1->setOuterShadowColor("#a5aeb5");
    $WebMenu1->setPopupIcon("./images/popup.png");
    $WebMenu1->setSelectedColor("#808080");
    $WebMenu1->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu1->getGroups()->Add();
    $cswmGroup1->setCaption("OS");
    $cswmGroup1->setID("OS");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Windows");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Windows 7");
    $cswmItem->setOnClick("SelectItem('Windows 7')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Windows 8");
    $cswmItem->setOnClick("SelectItem('Windows 8')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Windows 8.1");
    $cswmItem->setOnClick("SelectItem('Windows 8.1')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("Windows 10");
    $cswmItem->setOnClick("SelectItem('Windows 10')");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Mac");

    $cswmGroup2 = $cswmItem->AddGroup();

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("OS X 10.7");
    $cswmItem->setOnClick("SelectItem('OS X 10.7')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("OS X 10.8");
    $cswmItem->setOnClick("SelectItem('OS X 10.8')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("OS X 10.9");
    $cswmItem->setOnClick("SelectItem('OS X 10.9')");

    $cswmItem = $cswmGroup2->getItems()->Add();
    $cswmItem->setCaption("OS X 10.10");
    $cswmItem->setOnClick("SelectItem('OS X 10.10')");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Linux");
    $cswmItem->setOnClick("SelectItem('Linux')");

    $WebMenu1->getMenuBar()->setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::None);
    $WebMenu1->getItemFont()->setColor("#202020");
    $WebMenu1->getItemFont()->setPaddingLeft(5);
    $WebMenu1->getItemFont()->setPaddingRight(5);

    return $WebMenu1;
}

?>
