<?php

// Creates and configures a new webmenu control
function CreateWebMenu2()
{
    $WebMenu2 = new Coalesys\WebMenu\WebMenu();
    $WebMenu2->setBackgroundColor("#cebce8");
    $WebMenu2->setBorderSize(1);
    $WebMenu2->setDisabledTextColor("#a0a0a0");
    $WebMenu2->setGeneratedPrefix("cswm2");
    $WebMenu2->setMouseCursor("pointer");
    $WebMenu2->setName("WebMenu2");
    $WebMenu2->setOuterHighlightColor("#e3e3e3");
    $WebMenu2->setOuterShadowColor("#696969");
    $WebMenu2->setSelectedColor("#ba36ff");
    $WebMenu2->setShadowEnabled(true);

    $cswmGroup1 = $WebMenu2->getGroups()->Add();
    $cswmGroup1->setCaption("Continents");
    $cswmGroup1->setID("Group_e092");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Africa");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Antarctica");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Asia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Australia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Europe");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("North America");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("South America");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu2->getGroups()->Add();
    $cswmGroup1->setCaption("Supercontinents");
    $cswmGroup1->setID("Group_b268");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Afro-Eurasia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Americas");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Eurasia");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Oceania");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmGroup1 = $WebMenu2->getGroups()->Add();
    $cswmGroup1->setCaption("More Info");
    $cswmGroup1->setID("Group_df20");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Historical Data");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $cswmItem = $cswmGroup1->getItems()->Add();
    $cswmItem->setCaption("Other Facts");
    $cswmItem->setDividerColor("#a0a0a0");
    $cswmItem->setURL("index.php");

    $WebMenu2->getMenuBar()->setAbsoluteDockEnabled(false);
    $WebMenu2->getMenuBar()->setAbsoluteDragEnabled(false);
    $WebMenu2->getMenuBar()->setInnerHighlightColor("#f0f0f0");
    $WebMenu2->getMenuBar()->setOuterHighlightColor("#e3e3e3");
    $WebMenu2->getMenuBar()->setOuterShadowColor("#696969");
    $WebMenu2->getMenuBar()->setSelectedColor("#808080");
    $WebMenu2->getMenuBar()->setSelectedShadowColor("#808080");
    $WebMenu2->getMenuBar()->setSelectedTextColor("#ffffff");
    $WebMenu2->getMenuBar()->setShiftWhenSelected(false);
    $WebMenu2->getMenuBar()->setShowOnMouseOver(true);
    $WebMenu2->getButtonFont()->setColor("#202020");
    $WebMenu2->getButtonFont()->setPaddingBottom(2);
    $WebMenu2->getButtonFont()->setPaddingTop(2);
    $WebMenu2->getButtonFont()->setSize("13px");
    $WebMenu2->getItemFont()->setColor("#202020");

    return $WebMenu2;
}

?>
