<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP</title>
    <link href="./Samples/Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div class="csTitle">Documentation Index:</div>
            <div>You must accept the terms and conditions of the End-User License Agreement before using the software.</div>
            <ul>
                <li><a href="./Readme.txt" target="_blank">WebMenu Readme File</a></li>
                <li><a href="./Help/index.htm" target="_blank">WebMenu Help System</a></li>
                <li><a href="./License.htm" target="_blank">End-User License Agreement</a></li>
                <li><a href="http://www.coalesys.com/downloads/checkupgrade/cswmp7l120" target="_blank">Check for Updates</a></li>
            </ul>
            <div class="csTitle">Samples Index:</div>
            <div>Demonstrates the basic and advanced features of the WebMenu control.</div>
            <ul>
                <li>Appearance:
                    <ul>
                        <li><a href="./Samples/Appearance/StandardAppearance/index.php" target="_blank">Standard Appearance</a></li>
                        <li><a href="./Samples/Appearance/MultipleColors/index.php" target="_blank">Multiple Colors</a></li>
                        <li><a href="./Samples/Appearance/WindowsStyle/index.php" target="_blank">Windows Style</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Basic Features:
                    <ul>
                        <li><a href="./Samples/BasicFeatures/DragAndDockMenuBar/index.php" target="_blank">Drag and Dock MenuBar</a></li>
                        <li><a href="./Samples/BasicFeatures/PermanentDockMenuBar/index.php" target="_blank">Permanent Dock MenuBar</a></li>
                        <li><a href="./Samples/BasicFeatures/CustomMenuBar/index.php" target="_blank">Custom MenuBar</a></li>
                        <li><a href="./Samples/BasicFeatures/ToolBarMode/index.php" target="_blank">ToolBar Mode</a></li>
                        <li><a href="./Samples/BasicFeatures/TabStripMode/index.php" target="_blank">TabStrip Mode</a></li>
                        <li><a href="./Samples/BasicFeatures/CustomHtmlContent/index.php" target="_blank">Custom HTML Content</a></li>
                        <li><a href="./Samples/BasicFeatures/KeyboardInterface/index.php" target="_blank">Keyboard Interface</a></li>
                        <li><a href="./Samples/BasicFeatures/ScrollingGroups/index.php" target="_blank">Scrolling Groups</a></li>
                        <li><a href="./Samples/BasicFeatures/MultipleInstances/index.php" target="_blank">Multiple Instances</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Orientations:
                    <ul>
                        <li><a href="./Samples/Orientations/HorizontalMenuBar/index.php" target="_blank">Horizontal MenuBar</a></li>
                        <li><a href="./Samples/Orientations/VerticalMenuBar/index.php" target="_blank">Vertical MenuBar</a></li>
                        <li><a href="./Samples/Orientations/HorizontalPopup/index.php" target="_blank">Horizontal Popup</a></li>
                        <li><a href="./Samples/Orientations/PositioningOptions/index.php" target="_blank">Positioning Options</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Sample Usages:
                    <ul>
                        <li><a href="./Samples/SampleUsages/CustomSiteMap/index.php" target="_blank">Custom SiteMap</a></li>
                        <li><a href="./Samples/SampleUsages/CustomComboBox/index.php" target="_blank">Custom ComboBox</a></li>
                        <li><a href="./Samples/SampleUsages/ContextMenu/index.php" target="_blank">Context Menu</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Usage Techniques:
                    <ul>
                        <li><a href="./Samples/UsageTechniques/CoreLibraryCache/index.php" target="_blank">Core Library Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/SingleInstanceCache/index.php" target="_blank">Single Instance Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/MultipleInstanceCache/index.php" target="_blank">Multiple Instance Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/LoadFromWms/index.php" target="_blank">Load from WMS</a></li>
                    </ul>
                </li>
            </ul>
            <div class="csCopyright">Copyright &copy; 2000-2020 Coalesys, Inc.</div>
        </div>
    </div>
</body>
</html>
